Redmine - Defect #4576

Japanese Character pattern matching
2010-01-14 01:50 - Jeffrey Jones

Status: Closed Start date: 2010-01-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.8.7
Description

It should be noted that | am receiving emails using pop and the patch in Issue #2420 but | don't think the problem lies with this.

When | try and send emails to the redmine server with Japanese characters in them it appears to work apart from the pattern

matching.
For example if | send an email with the following keywords.

Project: happi
Tracker: [0

The email is processed but it isn't assigned to the correct tracker and "Tracker: " appears in the issue body.
However it does get assigned to the correct project. | am assuming that the pattern matching cannot handle the UTF-8 encoded

Japanese (or all multi-byte?) characters.

Associated revisions

Revision 3322 - 2010-01-17 12:00 - Jean-Philippe Lang
Adds a test with Japanese keywords in a ISO-2002-JP encoded email (#4576).

History

#1 - 2010-01-14 12:45 - Anton Statutov

The same problem exists with russian names

#2 - 2010-01-14 13:01 - Anton Statutov
Possibly #2059 is related issue. It was already fixed, so maybe try 0.9 RC?

#3 - 2010-01-16 11:54 - Jean-Philippe Lang

No, this is not the same as #2059.

#4 - 2010-01-16 11:55 - Jean-Philippe Lang

Can anybody attach a raw email that contains such keywords so | can include it in tests? Thanks.

#5 - 2010-01-17 11:45 - Jean-Philippe Lang

- File japanese_keywords_matching.eml added

I've just tested with the following email and it does work.

#6 - 2010-01-18 01:21 - Jeffrey Jones

- Status changed from New to Resolved

My apologies, | didn't have the overrides setup correctly on the rake task.

| can confirm this is working correctly. PEBKAC

#7 - 2010-01-18 18:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed
- Resolution set to Invalid

OK, thanks :-)

Files

japanese_keywords_matching.eml 2.05 KB 2010-01-17 Jean-Philippe Lang
